package body MSHTML.IHTMLLinkElement3_Object is

   procedure Put_charset
     (This : IHTMLLinkElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLLinkElement3_Put_charset,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_charset;

   function Get_charset
     (This : IHTMLLinkElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLLinkElement3_Get_charset);
   end Get_charset;

   procedure Put_hreflang
     (This : IHTMLLinkElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLLinkElement3_Put_hreflang,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_hreflang;

   function Get_hreflang
     (This : IHTMLLinkElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLLinkElement3_Get_hreflang);
   end Get_hreflang;

end MSHTML.IHTMLLinkElement3_Object;

